"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const themeToDict = (theme, language) => {
  const {
    plain
  } = theme; // @ts-ignore

  const base = Object.create(null);
  const themeDict = theme.styles.reduce((acc, themeEntry) => {
    const {
      languages,
      style
    } = themeEntry;

    if (languages && !languages.includes(language)) {
      return acc;
    }

    themeEntry.types.forEach(type => {
      // @ts-ignore
      const accStyle = { ...acc[type],
        ...style
      };
      acc[type] = accStyle;
    });
    return acc;
  }, base); // @ts-ignore

  themeDict.root = plain; // @ts-ignore

  themeDict.plain = { ...plain,
    backgroundColor: null
  };
  return themeDict;
};

var _default = themeToDict;
exports.default = _default;