import * as Theme from './theme.d';
export declare type Language = Theme.Language;
declare type PrismGrammar = {
    [key: string]: unknown;
};
declare type LanguagesDict = Record<Language, PrismGrammar>;
export declare type PrismToken = {
    type: string | string[];
    alias?: string | string[];
    content: Array<PrismToken | string> | string;
};
export declare type Token = {
    types: string[];
    content: string;
    empty?: boolean;
};
export declare type PrismLib = {
    languages: LanguagesDict;
    tokenize: (code: string, grammar: PrismGrammar, language?: Language) => Array<PrismToken | string>;
    tokenizeWithHooks: (code: string, grammar: PrismGrammar, language: Language) => Array<PrismToken | string>;
    highlight: (code: string, grammar: PrismGrammar, language: Language) => string;
    hooks: any;
};
export declare type StyleObj = {
    [key: string]: string | number | null;
};
export declare type LineInputProps = {
    key?: string | number;
    style?: StyleObj;
    className?: string;
    line: Token[];
    [key: string]: unknown;
};
export declare type LineOutputProps = {
    key?: string | number;
    style?: StyleObj;
    className: string;
    [key: string]: unknown;
};
export declare type TokenInputProps = {
    key?: string | number;
    style?: StyleObj;
    className?: string;
    token: Token;
    [key: string]: unknown;
};
export declare type TokenOutputProps = {
    key?: string | number;
    style?: StyleObj;
    className: string;
    children: string;
    [key: string]: unknown;
};
export declare type RenderProps = {
    tokens: Token[][];
    className: string;
    style?: StyleObj;
    getLineProps: (input: LineInputProps) => LineOutputProps;
    getTokenProps: (input: TokenInputProps) => TokenOutputProps;
};
export declare type PrismThemeEntry = Theme.PrismThemeEntry;
export declare type PrismTheme = Theme.PrismTheme;
export {};
//# sourceMappingURL=types.d.ts.map